Subject: Re: [PATCH v2 09/16] mfd: vexpress-sysreg: Drop unused syscon child devices

From: Sudeep Holla <[email-masked]>
Date: Fri, 1 May 2020 17:50:11 +0100

On Wed, Apr 29, 2020 at 03:58:18PM -0500, Rob Herring wrote:
> The "sys_id", "sys_misc" and "sys_procid" devices don't have a user
> anywhere in the tree and do nothing more than create a syscon regmap for
> a single register or 2. That's an overkill for creating child devices.
> Let's just remove them.
>
> Cc: Liviu Dudau <[email-masked]>
> Cc: Sudeep Holla <[email-masked]>

Reviewed-by: Sudeep Holla <[email-masked]>

> ---
> Note that the other GPIO child devices could probably be removed and
> added to the bgpio driver. Unfortunately, the model dts files were
> never updated 6 years ago. Not sure if the models really need LEDs...
>

I don't understand the reference to models here. Any particular dts you
are referring ? Also may be led/flash gpios can do but we may need
mmci ones.

--
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel